{
  inputs,
  config,
  lib,
  pkgs,
  ...
}: {
  imports = [inputs.home-manager.nixosModules.home-manager];

  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    extraSpecialArgs = {inherit inputs;};
  };

  # TODO: Remove
  # Allow root login with same password as primary user
  users.users.root.hashedPasswordFile = let
    primaryUser = "evar";
  in
    config.users.users.${primaryUser}.hashedPasswordFile;

  users.users.evar = {
    hashedPassword = "$y$j9T$4TYc8brm3.oJUbkktbbEq/$cTlZRmAVxb2GtttEXSoSGw9y.qm.vUs/yXgwLjlTk46";
    uid = 1000;
    isNormalUser = true;
    extraGroups = [
      "wheel"
      "networkmanager"
      "video"
      "input"
      "audio"
      "adbusers"
      "uucp"
      "dialout"
    ];
    # openssh.authorizedKeys.keys = [
    #   "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINhBR2Kg0VR1+p9jNYmuaaGXTMjHwQSbvmzIjwhOOmNG emily@intras 2022-10-26"
    # ];
  };
  home-manager.users.evar = {
    imports = [../home];
  };
}
